#!/bin/sh

# -bpython		: Pythonコンポーネントコード生成プログラム
# -bvcproject		: VC++プロジェクトファイル生成プログラム
# -bcxx			: C++コンポーネントコード生成プログラム
#
# --module-name		: モジュール名
# --module-desc		: モジュールの説明
# --module-version	: モジュールのバージョン
# --module-vendor	: モジュールのベンダ
# --module-category	: モジュールのカテゴリ
# --module-comp-type	: コンポーネントの型
# --module-act-type	: アクティビティタイプ
# --module-max-inst	: コンポネントインスタンスの最大数
#
# --inport		: 入力ポート定義
# --outport		: 出力ポート定義
# --service-idl		: サービスプロバイダIDLパス
# --service		: サービスプロバイダ定義
# --consumer-idl	: サービスコンシューマIDLパス
# --consumer		: サービスプロバイダ定義
# --config		: コンフィグレーションセット定義

rtc-template -bcxx \
	--module-name=TestOutput \
	--module-desc='Test Output for Management of Area Map Module' \
	--module-version=1.0.0 \
	--module-vendor=IRS \
	--module-category=Map \
	--module-comp-type=DataFlowComponent \
	--module-act-type=SPORADIC \
	--module-max-inst=1 \
	--inport=MapData:TimedMapData \
	--inport=ArcNode:TimedArcNode \
	--consumer-idl=irs.idl
